org.apache.xmlbeans.impl.xb.xsdschema

## Interface WhiteSpaceDocument.WhiteSpace.Value

All Superinterfaces:
  XmlAnySimpleType, XmlNMTOKEN, XmlNormalizedString, XmlObject, XmlString, XmlToken, XmlTokenSource

All Known Implementing Classes:
  WhiteSpaceDocumentImpl.WhiteSpaceImpl.ValueImpl

Enclosing interface:
  WhiteSpaceDocument.WhiteSpace

    public static interface WhiteSpaceDocument.WhiteSpace.Value
    extends XmlNMTOKEN

An XML value(@). This is an atomic type that is a restriction of org.apache.xmlbeans.impl.xb.xsdschema.WhiteSpaceDocument$WhiteSpace$Value.

### Nested Class Summary

Nested Classes
`static class` `WhiteSpaceDocument.WhiteSpace.Value.Enum` Enumeration value class for org.apache.xmlbeans.impl.xb.xsdschema.WhiteSpaceDocument$WhiteSpace$Value.

### Field Summary

Fields
`static WhiteSpaceDocument.WhiteSpace.Value.Enum` `COLLAPSE`
`static ElementFactory<WhiteSpaceDocument.WhiteSpace.Value>` `Factory`
`static int` `INT_COLLAPSE`
`static int` `INT_PRESERVE`
`static int` `INT_REPLACE`
`static WhiteSpaceDocument.WhiteSpace.Value.Enum` `PRESERVE`
`static WhiteSpaceDocument.WhiteSpace.Value.Enum` `REPLACE`
`static SchemaType` `type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

All Methods Instance Methods Abstract Methods
`StringEnumAbstractBase` `getEnumValue()`
`void` `setEnumValue(StringEnumAbstractBase e)`

### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

`getStringValue, setStringValue`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final ElementFactory<WhiteSpaceDocument.WhiteSpace.Value> Factory

#### type

    static final SchemaType type

#### PRESERVE

    static final WhiteSpaceDocument.WhiteSpace.Value.Enum PRESERVE

#### REPLACE

    static final WhiteSpaceDocument.WhiteSpace.Value.Enum REPLACE

#### COLLAPSE

    static final WhiteSpaceDocument.WhiteSpace.Value.Enum COLLAPSE

#### INT_PRESERVE

    static final int INT_PRESERVE

See Also:
  Constant Field Values

#### INT_REPLACE

    static final int INT_REPLACE

See Also:
  Constant Field Values

#### INT_COLLAPSE

    static final int INT_COLLAPSE

See Also:
  Constant Field Values

### Method Detail

#### getEnumValue

    StringEnumAbstractBase getEnumValue()

#### setEnumValue

    void setEnumValue(StringEnumAbstractBase e)